Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
Tata
Posts: 3153
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Tata » Fri Dec 01, 2017 8:36 pm

Hartmut wrote:mögliche Fehlerquellen könnten fehlende Schreibrechte auf dem Server, oder der Browsercache sein.
Liefert die Browserconsole vielleicht eine Fehlermeldung?
Vielleicht gibt es auch funktionale Unterschiede vom Localhost und dem Server?
Die Schreibrechte sind OK.
Am Server ist die exakte Kopie hochgeladen.
Ich versuche die vorige Version noch einmal vergleichen, weill auch einige Funktionalität ist weg.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

lck
Posts: 1968
Joined: Wed Mar 23, 2011 11:43 am
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by lck » Sat Dec 02, 2017 12:46 pm

Hartmut wrote:Test Plugin Fb_slidein Version: 1Beta04 16-09-2013
...
CMSimple_XH 1.7 Kompatibilität: Nein
Quick Fix:
admin.php ab Zeile 15 ändern und ergänzen

Code: Select all

//initvar('fb_slidein');
//if($fb_slidein){
if (XH_wantsPluginAdministration('fb_slidein')) { 
In der stylesheet.css stimmte auch einiges nicht. Hier eine überarbeitete Version:

Code: Select all

/* facebook container */
#facebook_container,
#facebook_container_left {
    background-color: transparent;
    display: inline-block;
    height: 155px;
    position: fixed;
    width: 155px;
    z-index: 10000;
}
#facebook_container {
    right: 0;
}
#facebook_container_left {
    left: 0;
}

.facebook_btn,
.facebook_btn_left {
    display: inline-block;
    height: 155px;
    overflow: hidden;
    position: fixed;
    -webkit-transition: all 0.2s linear;
    transition: all 0.2s linear;
    width: 45px;
    z-index: 10000;
}
.facebook_btn {
    margin-left: 110px;
}
.facebook_btn_left {
    margin: 0;
}

.facebook_btn:hover,
.facebook_btn_left:hover {
    height: 155px;
    margin-left: 0;
    width: 155px;
    z-index: 10000;
}

.facebook_btn img,
.facebook_btn_left img { 
    border: 0 none transparent;
}

a.facebook_btn:after,
a.facebook_btn_left:after {
    content: none !important;
} 
„Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig!“   👉 Ludwig's XH-Templates for MultiPage & OnePage

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sat Dec 02, 2017 5:15 pm

lck wrote:
Hartmut wrote:Test Plugin Fb_slidein Version: 1Beta04 16-09-2013
...
CMSimple_XH 1.7 Kompatibilität: Nein
Quick Fix:
admin.php ab Zeile 15 ändern und ergänzen

Code: Select all

//initvar('fb_slidein');
//if($fb_slidein){
if (XH_wantsPluginAdministration('fb_slidein')) {
In der stylesheet.css stimmte auch einiges nicht. Hier eine überarbeitete Version:

Code: Select all

/* facebook container */
#facebook_container,
...
a.facebook_btn_left:after {
    content: none !important;
}
2. Test Plugin fb_slidein Version: 1Beta04 mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Sitr sitr_XH_v1.3b
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf im Template: Funktioniert fehlerfrei

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 03, 2017 7:10 pm

Test Plugin Gxroute Version: 1.1

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Gxroute v. 1.1
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein, Plugin Konfiguration nicht aufrufbar
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 03, 2017 7:31 pm

Test Plugin Handheld_XH Version: 1.0

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Handheld 1.0
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein, leere Seite
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Dec 03, 2017 8:04 pm

Test Plugin GXGetUrl Version: 0.1 beta 1

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Gxgeturl
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein, leere Seite
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nicht getestet
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: ??
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Mon Dec 04, 2017 8:24 pm

3. Test Plugin sitr_XH Version: 1.4b mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Sitr sitr_XH_v1.4b
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja, mit folgenden Fehlermeldungen:
Debug-Modus:
NOTICE: Undefined variable: o
C:\xampp\htdocs\plugins\sitr\index.php:31
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:3
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:4
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:5
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:6
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:9
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:10

Plugin Konfiguration / Sprache / Stylesheet änderbar und speicherbar? => Ja, mit o.g. Fehlermeldungen
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Ja
NOTICE: Undefined variable: o
C:\xampp\htdocs\plugins\sitr\index.php:31
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:3
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:4
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:5
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:6
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:9
NOTICE: Indirect modification of overloaded element of XH\PluginConfig has no effect
C:\xampp\htdocs\plugins\sitr\config\config.php:10

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Ja* (mit Fehlermeldungen)
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Tue Dec 05, 2017 7:08 pm

Test Plugin hi_Admin Version: 1.0 beta1

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Hi_admin 1.0beta1
Plugin im Admin-Menü sichtbar? => Ja, Hi_admin
Plugin im Admin-Menü aufrufbar? => Nein (leere Seite)
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein (nicht sichtbar)
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Ja, siehe unten
Debug-Meldung: Ja, siehe unten

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
Weitere Anmerkungen:
Dauerhafte Meldungen nach dem Login ins Admin-Menü:
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\hi_admin\admintemplate.inc.php:78
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; HI_adm_TextFileEdit has a deprecated constructor
C:\xampp\htdocs\plugins\hi_admin\templateeditor.inc.php:27

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Tue Dec 05, 2017 8:24 pm

Test Plugin hi_media Version: 1.0

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Hi_media v. 1.0
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein (leere Seite)
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein (nicht sichtbar)
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Ja, siehe unten

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
Weitere Anmerkungen:
Dauerhafte Meldungen nach dem Login ins Admin-Menü:
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\hi_media\admin.php:27

Hartmut
Posts: 533
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Tue Dec 05, 2017 8:42 pm

Test Plugin Imgzoom_XH Version: 1.0 beta2

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Ja, Imgzoom 1.0beta2
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein (leere Seite)
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein (nicht sichtbar)
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.1 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)

Post Reply